#include "ThreeLeds.h"

// konstruktory
ThreeLeds::ThreeLeds()
{
   _r = A2;
   _y = A3;
   _g = 13;
   pinMode(_r, OUTPUT);
   pinMode(_y, OUTPUT);
   pinMode(_g, OUTPUT);
}

ThreeLeds::ThreeLeds(int r, int y, int g)
{
   _r = r;
   _y = y;
   _g = g;
   pinMode(_r, OUTPUT);
   pinMode(_y, OUTPUT);
   pinMode(_g, OUTPUT);
}

void ThreeLeds::redOn()
{
  digitalWrite(_r, HIGH);
}

void ThreeLeds::yellowOn()
{
  digitalWrite(_y, HIGH);
}

void ThreeLeds::greenOn()
{
  digitalWrite(_g, HIGH);
}

void ThreeLeds::redOff()
{
  digitalWrite(_r, LOW);
}

void ThreeLeds::yellowOff()
{
  digitalWrite(_y, LOW);
}

void ThreeLeds::greenOff()
{
  digitalWrite(_g, LOW);
}

void ThreeLeds::allOn()
{
  redOn();
  greenOn();
  yellowOn();
}

void ThreeLeds::allOff()
{
  redOff();
  greenOff();
  yellowOff();
}





