/*
 * Knihovna pro 3 LED
 * 
 * funkce redOn, yellowOn, greenOn a allOn zapinaji LEDky
 * funkce redOff, yellowOff, greenOff a allOff vypinaji LEDky
 * 
 */


#ifndef ThreeLeds_h
#define ThreeLeds_h

#include <Arduino.h>

class ThreeLeds
{
  public:
    ThreeLeds(); // konstruktor s defaultnimi piny
    ThreeLeds(int r, int y, int g); // konstruktor s vlastnimi piny

    // metody - zapinani jednotlive nebo vzlast
    void redOn();
    void greenOn();
    void yellowOn();
    void redOff();
    void greenOff();
    void yellowOff();
    void allOn();
    void allOff();
    

  private:
    int _r,_g,_y;

    
};

#endif
