/*
 * 
 * Funkce knihovny:
 * getPressLevel()
 * 
 * podle doby stisku vrati hodnotu
 * nestisknuto 3s - 0
 * stisknuto <1,5s - 1
 * stisknuto >1,5s - 2
 * 2+ klik - 3
 */


#ifndef Button_h
#define Button_h

#include <Arduino.h>

#define Button_debounceTime 10

class Button
{
  public:
    Button();
    Button(int button);
    void interHandler();
    uint8_t getPressLevel();
    boolean intTriggered;
    
  private:
    int _button = 2;
};





#endif
