#ifndef DallasRam_h
#define DallasRam_h

#define DallasAddr 0x68

#include <Arduino.h>
#include <Wire.h>

class DallasRam
{
  public:
    DallasRam();
    /*  funkce na zapis, vraci pocet zapsanych bytu, v pripade chyby vraci 0 */
    int8_t writeTo(uint8_t addr, int input);
    int8_t writeTo(uint8_t addr, byte input);
    int8_t writeByteArrayTo(uint8_t addr, byte* array[], uint8_t len);


    /* funkce na cteni */

    uint8_t readByteFrom(uint8_t addr);
    int readIntFrom(uint8_t addr);
};





#endif
