#include "RGBled.h"

// konstruktory
RGBled::RGBled()
{
   _r = 9;
   _g = 5;
   _b = 6;
   pinMode(_r, OUTPUT);
   pinMode(_g, OUTPUT);
   pinMode(_b, OUTPUT);
   turnOff();
}

RGBled::RGBled(int r, int g, int b)
{
   _r = r;
   _g = g;
   _b = b;
   pinMode(_r, OUTPUT);
   pinMode(_g, OUTPUT);
   pinMode(_b, OUTPUT);
   turnOff();
}

void RGBled::turnOff()
{
  digitalWrite(_r, HIGH);
  digitalWrite(_g, HIGH);
  digitalWrite(_b, HIGH);
}

void RGBled::dispColor(uint8_t color)
{
  if ((color & 1) != 0)
    digitalWrite (_r, LOW);
  else
    digitalWrite (_r, HIGH);

  if ((color & 2) != 0)
    digitalWrite (_g, LOW);
  else
    digitalWrite (_g, HIGH);

  if ((color & 4) != 0)
    digitalWrite (_b, LOW);
  else
    digitalWrite (_b, HIGH);
}

void RGBled::dispRGB(uint8_t r, uint8_t g, uint8_t b)
{
  analogWrite(_r, 255-r);
  analogWrite(_g, 255-g);
  analogWrite(_b, 255-b);
}

