#include "Display.h"

Display::Display()
{ 
  Wire.begin();
}


void Display::writeDataToPos(uint8_t pos, uint8_t data)
{ 
  
  Wire.beginTransmission(0x27);
  Wire.write(pos);
  Wire.write(data);
  Wire.endTransmission();

  // Na adrese 28 (ktera byla v zadani) zamrzalo.
  
}








void Display::writeNoL(uint8_t pos, uint8_t let)
{
  writeDataToPos(pos, vals[let]);
}

void Display::dispUnsigned(uint16_t in)
{
  if (in>9999)
  {
    writeDataToPos(0, 16);
    writeDataToPos(1, 16);
    writeDataToPos(2, 16);
    writeDataToPos(3, 16);
  }
  else
  {
    writeDataToPos(0, in/1000);
    writeDataToPos(1, (in%1000)/100);
    writeDataToPos(2, (in%100)/10);
    writeDataToPos(3, (in%10));
  }
}

