#ifndef Display_h
#define Display_h

#include <Arduino.h>
#include <Wire.h>

#define DisplayAddr 0x27

class Display
{
  public:
    Display();
    void writeDataToPos(uint8_t pos, uint8_t data);
    uint8_t vals[17] = {0x3f,0x06,0x5b,0x4f,0x66,0x6d,0x7d,0x07,0x7f,0x6f,0x77,0x7c,0x39,0x5e,0x79,0x71,0b01000000};
    void Display::writeNoL(uint8_t pos, uint8_t let);
    void Display::dispUnsigned(uint16_t in);
  private:
    byte toDisp[4];
     
  
};

#endif
